r68994 - in /trunk/w3c-linkchecker/debian: postinst postrm

periapt-guest at users.alioth.debian.org periapt-guest at users.alioth.debian.org
Fri Feb 18 18:30:49 UTC 2011


Author: periapt-guest
Date: Fri Feb 18 18:30:28 2011
New Revision: 68994

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=68994
Log:
investigating gregors concerns

Added:
    trunk/w3c-linkchecker/debian/postrm
Modified:
    trunk/w3c-linkchecker/debian/postinst

Modified: trunk/w3c-linkchecker/debian/postinst
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/w3c-linkchecker/debian/postinst?rev=68994&op=diff
==============================================================================
--- trunk/w3c-linkchecker/debian/postinst (original)
+++ trunk/w3c-linkchecker/debian/postinst Fri Feb 18 18:30:28 2011
@@ -42,7 +42,7 @@
             sed -i -e "s|^\(# \)\?Allow_Private_IPs = [01]$|Allow_Private_IPs = $VALUE|" $CFG_FILE
         fi
 
-        invoke-rc.d apache2 restart
+        invoke-rc.d apache2 reload
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)

Added: trunk/w3c-linkchecker/debian/postrm
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/w3c-linkchecker/debian/postrm?rev=68994&op=file
==============================================================================
--- trunk/w3c-linkchecker/debian/postrm (added)
+++ trunk/w3c-linkchecker/debian/postrm Fri Feb 18 18:30:28 2011
@@ -1,0 +1,38 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+        invoke-rc.d apache2 reload
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0




More information about the Pkg-perl-cvs-commits mailing list